Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoCustomAttrInfo

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>
              com.nativelibs4java.mono.MonoCustomAttrInfo

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>>

Direct Known Subclasses:
  MonoCustomAttrInfo.ByReference, MonoCustomAttrInfo.ByValue

    public class MonoCustomAttrInfo

extends Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>

native declaration : mono\metadata\reflection.h
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoCustomAttrInfo.ByReference`
`static class` | `MonoCustomAttrInfo.ByValue`

Field Summary
`MonoCustomAttrEntry[]` | `attrs`
`int` | `cached`
`MonoLibrary.MonoImage` | `image`
`int` | `num_attrs`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoCustomAttrInfo()`
`MonoCustomAttrInfo(int num_attrs, int cached, MonoLibrary.MonoImage image, MonoCustomAttrEntry[] attrs)`

Method Summary
`protected MonoCustomAttrInfo.ByReference` | `newByReference()`
`protected MonoCustomAttrInfo.ByValue` | `newByValue()`
`protected MonoCustomAttrInfo` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### num_attrs

    public int num_attrs

### cached

    public int cached

### image

    public MonoLibrary.MonoImage image

### attrs

    public MonoCustomAttrEntry[] attrs

Constructor Detail

### MonoCustomAttrInfo

    public MonoCustomAttrInfo()

### MonoCustomAttrInfo

    public MonoCustomAttrInfo(int num_attrs,
                              int cached,
                              MonoLibrary.MonoImage image,
                              MonoCustomAttrEntry[] attrs)

Method Detail

### newByReference

    protected MonoCustomAttrInfo.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>`

### newByValue

    protected MonoCustomAttrInfo.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>`

### newInstance

    protected MonoCustomAttrInfo newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoCustomAttrInfo,MonoCustomAttrInfo.ByValue,MonoCustomAttrInfo.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD